package com.ruoyi.platform.service;

import com.ruoyi.platform.domain.AutoMl;
import com.ruoyi.platform.vo.AutoMlVo;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.Map;

public interface AutoMlService {
    Page<AutoMl> queryByPage(String mlName, PageRequest pageRequest);

    AutoMl save(AutoMlVo autoMlVo) throws Exception;

    String edit(AutoMlVo autoMlVo) throws Exception;

    String delete(Long id);

    AutoMlVo getAutoMlDetail(Long id) throws IOException;

    Map<String, String> upload(MultipartFile file, String uuid) throws Exception;

    String runAutoMlIns(Long id) throws Exception;
}
